# List role bindings

**GET /v1/role-bindings**

List role assignments to organization users.


## Servers
- Control Plane API: https://api.redpanda.com (Control Plane API)


## Authentication methods
- Auth0


## Parameters


### Query parameters
- **filter.role_name** (string)

- **filter.account** (string)

- **filter.scope.resource_type** (string)

- **filter.scope.resource_id** (string)

- **filter.scope.dataplane_id** (string)
  dataplane_id is required when the scope.resource_type is a dataplane resource:
  MCPSERVER, AIAGENT, AIGATEWAY_MODEL_PROVIDER, AIGATEWAY_MODEL, AIGATEWAY_PROVIDER_CONFIG, AIGATEWAY_GATEWAY.
  This can either be the cluster id or the serverless cluster id depending on the dataplane resource.
  Must be a valid XID (20-character base32 hex encoded string).
- **filter.account_ids** (array[string])

- **page_size** (integer(int32))

- **page_token** (string)



## Responses
### 200
OK

#### Body: application/json (object)
- **next_page_token** (string)

- **role_bindings** (array[object])
  RoleBindings matching the request

### 500
Internal Server Error. Reach out to support.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.

### default
An unexpected error response.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.


[Powered by Bump.sh](https://bump.sh)
